libbacktrace for Debian

Upstream only builds a static library, but this package also builds a
dynamic library in line with preferred practice. Depending packages can use either.

The dynamic library has been built with -z now, (as well as the normal
-z relro) in order to ensure linking occurs at runtime and the library
works even when called from a signal handler.

This is discussed upstream in https://github.com/ianlancetaylor/libbacktrace/issues/85

 -- Wookey <wookey@debian.org>, Thu, 11 Apr 2024 02:31:32 +0100
